\name{Smoothing}
\alias{Smoothing}
\title{
  Smooth Time-Series
}
\description{
  Smoothes time-series organized in a matrix of any number of dimensions up to 
  10 dimensions (arbitrary choice, can be enlarged if needed --> ask Virginie)
}
\usage{
  Smoothing(var, runmeanlen = 12, numdimt = 4)
}
\arguments{
  \item{var}{
    Matrix in which are the time-series to smooth.
  }
  \item{runmeanlen}{
    Running mean length in number of time-steps (typically months).
  }
  \item{numdimt}{
    Dimension along with to smooth.
  }
}
\value{
  Matrix with same dimensions as var and smoothed time-series along the 
  (numdimt)th dimension.
}
\author{
  History:
  1.0  -  2011-03  (V. Guemas, \email{vguemas@ic3.cat})  -  Original code
}
\keyword{datagen}
